Groovy Documentation

## groovy.time
[Java] Class DatumDependentDuration

    java.lang.Object
      groovy.time.BaseDuration
          groovy.time.DatumDependentDuration

    public class DatumDependentDuration
    extends BaseDuration

DatumDependentDuration represents durations whose length in milliseconds cannot be determined without knowing the datum point.

I don't know how many days in a year unless I know if it's a leap year or not.

I don't know how many days in a month unless I know the name of the month (and if it's a leap year if the month is February)

Authors:
  John Wilson tug@wilson.co.uk

Field Summary

Fields inherited from class BaseDuration
days, hours, millis, minutes, months, seconds, years

Constructor Summary
`DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`java.util.Date` | `getAgo()`
`From` | `getFrom()`
`int` | `getMonths()`
`int` | `getYears()`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `minus(Duration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(TimeDatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(Duration rhs)`
`DatumDependentDuration` | `plus(TimeDuration rhs)`
`long` | `toMilliseconds()` @see groovy.time.BaseDuration#toMilliseconds()

Methods inherited from class BaseDuration
compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DatumDependentDuration

    public DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getAgo

    public java.util.Date getAgo()

### getFrom

    public From getFrom()

### getMonths

    public int getMonths()

### getYears

    public int getYears()

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

### minus

    public DatumDependentDuration minus(Duration rhs)

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(TimeDatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(Duration rhs)

### plus

    public DatumDependentDuration plus(TimeDuration rhs)

### toMilliseconds

    public long toMilliseconds()

  See Also:

Groovy Documentation